import { MarkerSeries } from "./MarkerSeries";
import { Point, Type } from "igniteui-react-core/ES2015/type";
import { PolarAxisInfoCache } from "./PolarAxisInfoCache";
import { SeriesRenderer$2 } from "./SeriesRenderer$2";
import { PolarFrame } from "./PolarFrame";
import { DependencyProperty } from "igniteui-react-core/ES2015/DependencyProperty";
import { IFastItemColumn$1 } from "igniteui-react-core/ES2015/IFastItemColumn$1";
import { NumericAngleAxis } from "./NumericAngleAxis";
import { NumericRadiusAxis } from "./NumericRadiusAxis";
import { TrendLineType } from "igniteui-react-core/ES2015/TrendLineType";
import { Brush } from "igniteui-react-core/ES2015/Brush";
import { PenLineCap } from "igniteui-react-core/ES2015/PenLineCap";
import { DoubleCollection } from "igniteui-react-core/ES2015/DoubleCollection";
import { SeriesView } from "./SeriesView";
import { List$1 } from "igniteui-react-core/ES2015/List$1";
import { SeriesPointOfInterest } from "./SeriesPointOfInterest";
import { Axis } from "./Axis";
import { Rect } from "igniteui-react-core/ES2015/Rect";
import { Marker } from "./Marker";
import { MarkerSeriesView } from "./MarkerSeriesView";
import { PolarAxes } from "./PolarAxes";
import { FastItemsSourceEventAction } from "igniteui-react-core/ES2015/FastItemsSourceEventAction";
import { AxisRange } from "./AxisRange";
import { HashPool$2 } from "igniteui-react-core/ES2015/HashPool$2";
import { OwnedPoint } from "./OwnedPoint";
import { MarkerManagerBase } from "./MarkerManagerBase";
import { PolarTrendLineManager } from "./PolarTrendLineManager";
import { RenderSurface } from "./RenderSurface";
import { IDictionary$2 } from "igniteui-react-core/ES2015/IDictionary$2";
import { RenderingContext } from "igniteui-react-core/ES2015/RenderingContext";
/**
 * @hidden
 */
export declare abstract class PolarBase extends MarkerSeries {
    static $t: Type;
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    m0: PolarBaseView;
    private m1;
    hn(): void;
    protected get_c0(): boolean;
    ng(a: List$1<SeriesPointOfInterest>): boolean;
    constructor();
    private n0;
    private n1;
    private mu;
    mz: PolarAxisInfoCache;
    private or;
    private oq;
    m7: SeriesRenderer$2<PolarFrame, PolarBaseView>;
    np: string;
    nv: string;
    protected nb: IFastItemColumn$1<number>;
    private m9;
    protected nc: IFastItemColumn$1<number>;
    private na;
    mw: NumericAngleAxis;
    mx: NumericRadiusAxis;
    nh: boolean;
    nk: number;
    m8: TrendLineType;
    ol: Brush;
    ok: Brush;
    static readonly n5: DependencyProperty;
    nj: number;
    on: PenLineCap;
    om: DoubleCollection;
    nl: number;
    nm: number;
    nf: boolean;
    m4: PolarFrame;
    m6: PolarFrame;
    m3: PolarFrame;
    my: PolarAxes;
    h4(): void;
    protected hs(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    protected jl(a: Rect, b: Rect): void;
    protected jm(a: Rect, b: Rect): void;
    dv(a: Rect, b: Rect, c: SeriesView): boolean;
    i7(a: boolean): void;
    private op;
    an(a: Axis): AxisRange;
    c8(a: any): boolean;
    fm(a: Point): any;
    e5(a: Point): number;
    ag(): Axis[];
    protected is(a: any, b: string, c: any, d: any): void;
    ne(a: any): boolean;
    nd(a: any): boolean;
    hp(a: boolean, b: SeriesView): void;
    private mv;
    nz(a: PolarFrame, b: number, c: Rect, d: Rect): void;
    n2(a: PolarFrame, b: PolarBaseView): void;
    n4(a: PolarFrame, b: PolarBaseView): void;
    private ny;
    protected jh(): void;
    m5: PolarFrame;
    i8(a: Rect, b: RenderSurface): void;
    private m2;
    i5(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    n3(a: IDictionary$2<any, OwnedPoint>, b: HashPool$2<any, Marker>): void;
    mt(a: HashPool$2<any, Marker>, b: Rect, c: Rect): Point[];
    ni(a: HashPool$2<any, Marker>): List$1<number>;
    oo(a: number): Point;
    protected hy(a: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class PolarBaseView extends MarkerSeriesView {
    static $t: Type;
    protected cq: PolarBase;
    cp: MarkerManagerBase;
    constructor(a: PolarBase);
    cr: PolarTrendLineManager;
    ap(): void;
    protected co(): MarkerManagerBase;
    protected cv(a: IDictionary$2<any, OwnedPoint>): void;
    protected cn(): Point[];
    protected ct(): List$1<number>;
    cu(a: Rect, b: Rect, c: Rect, d: Rect): void;
    cw(): void;
    cs: HashPool$2<any, Marker>;
    cc(a: (arg1: Marker) => void): void;
    protected a2(a: RenderingContext, b: boolean): void;
    protected cx(): Rect;
    getDefaultTooltipTemplate(): string;
}
